mount udf dvd fails, possible wrong fstab entry

Bug #44233 reported by Daniel Eckl on 2006-05-11
80
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Util-Linux-ng
Fix Released
Undecided
Attila T. Áfra
linux (Ubuntu)
Undecided
Unassigned
util-linux (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: mount

I cannot mount DVDs with udf file system. iso9660 cdroms and dvds work okay.

My fstab has the entry:
/dev/hdc /media/cdrom0 udf,iso9660 user,noauto 0 0

When trying to mount a udf dvd, I get the message:
wrong fs type, bad option, bad superblock on /dev/hdc,
       missing codepage or other error

/var/log/messages shows:
Unable to identify CD-ROM format.

Changing the fstype in /etc/fstab from "udf,iso9660" to "auto", makes everything work fine.

Is the fstype "udf,iso9660" supposed to work and the problem is in "mount"? Or is this correct that one cannot use mutliple fstypes in fstab? Then the problem is in the program which created fstab at installaion (installed with dapper flight 5 cdrom)

Best,
Daniel

Simon Law (sfllaw) wrote :

Hi Daniel,

mount supports comma-separated fstypes, so this is a bit suspicious.

After you finish mounting your DVD, with fstype=auto, what does:
$ mount
output?

Thanks.

Changed in util-linux:
status: Unconfirmed → Needs Info
Daniel Eckl (daniel-eckl) wrote :

Hi Simon!
After mounting it shows a perfectly mounted udf file system.
   /dev/hdc on /media/cdrom0 type udf (ro,noexec,nosuid,nodev,user=daniel)

By the way: Changing fstype in /etc/fstab to "iso9660,udf" (turning it around) makes udf dvd work and iso9660 file systems like normal CDs don't work anymore.

So it seems that only the last entry of the comma-separated fstype list works.

Best, Daniel

Simon Law (sfllaw) on 2006-05-24
Changed in util-linux:
status: Needs Info → Confirmed
Alvaro Kuolas (kuolas) wrote :

It's the same with me, auto option works.

Claus Frein (cfrein) wrote :

Hi,

I can verify this behaviour. For example any newer Microsoft-DVDs are mounted as iso9660 but the filesystem should be udf.

Either changing fs-entry in fstab to auto as described above or complete removing in fstab (so that pmount is involved) does the job.

David Kaplan (dmkaplan) wrote :

This little problem just caused me to loose two days of work. I got some DVD's burned by a co-worker in Mac OSX with some data on them. When I inserted them, they mount fine as iso9660. With the exception of lower case filenames, they looked fine. However, for unknown reasons, mounting as iso9660 causes every 13th file not to be visible! The disks had very large number of files on them, so I didn't notice anything at first. It took me two days to figure out that 1/13th of my data was missing.

My point is that this little problem is not so little and can cause silent data loss. Somehow a fix should be made, but the fact that no one has been assigned this bug yet isn't promising.

I tried commenting out the cdrom line in /etc/fstab. This allows the DVD to be mounted, but it appears that the DVD contains the user, group and permissions of the original Mac user (or is automatically mounted o-rwx), so I cannot access much of the disk. Putting auto instead of udf,iso9660 fixes the problem.

Andi T. (andreastetzlaff) wrote :

The problem still exists with Kubuntu 7.04 (Feisty Fawn) Beta x86.

UDF CDs and DVDs are mounted with mutilated file names (= as iso9660).

$ grep -i scd0 /etc/fstab
/dev/scd0 /media/cdrom0 udf,iso9660 user,noauto 0 0

Changing the relevant line in /etc/fstab solves the problem:

$ grep -i scd0 /etc/fstab
/dev/scd0 /media/cdrom0 auto user,noauto 0 0

evaldas (evaldaz) wrote :

Confirming this issue on Ubuntu 7.04 (Feisty Fawn).

/var/log/messages shows:
Unable to identify CD-ROM format.

/etc/fstab entry:
/dev/scd0 /media/cdrom0 udf,iso9660 user,noauto 0 0

mount /dev/scd0 /media/cdrom0/ -t udf
works fine.

Jason Ribeiro (jrib) wrote :

I have this issue as well on feisty amd64. The dvd gets mounted fine on xp in vmware. None of the workarounds mentioned are working however.

I put in a dvd and get:
    Invalid mount option when attempting to mount the volume 'UDF Volume'.

I receive the same error above if I change my fstab to either of these lines:
"/dev/scd0 /media/cdrom0 auto user,noauto 0 0"
"/dev/scd0 /media/cdrom0 iso9660,udf user,noauto 0 0"

I try 'sudo mount -t udf -oro /dev/scd0 /media/cdrom0' and get the following error:
    mount: wrong fs type, bad option, bad superblock on /dev/scd0,
           missing codepage or other error
           In some cases useful info is found in syslog - try
           dmesg | tail or so

and dmesg has:
    [109891.145973] UDF-fs: No fileset found

F.H. (fheinsen) wrote :

Confirming this issue on factory-installed Ubuntu 7.04 on a brand new Dell XPS 410 desktop. Changing the relevant line in /etc/fstab solves the problem for me too.

Jim Benson (rd1-jim-benson) wrote :

I am experiencing the same problem as Jason Ribeiro above....very frustrated here. I need to get these files off the disk this weekend.

Running feisty standard.

I put in a data dvd and get:
    Invalid mount option when attempting to mount the volume 'UDF Volume'.

I also receive the same error above if I change my fstab to either of these lines:
"/dev/scd0 /media/cdrom0 auto user,noauto 0 0"
"/dev/scd0 /media/cdrom0 iso9660,udf user,noauto 0 0"
Also tried deleting 'auto' and or the 'udf,iso9660' reference and the entire line to no avail.

I also tried 'sudo mount -t udf -oro /dev/scd0 /media/cdrom0' and get the following error:
    mount: wrong fs type, bad option, bad superblock on /dev/scd0,
           missing codepage or other error
           In some cases useful info is found in syslog - try
           dmesg | tail or so

I'm also getting the UDF-fs: No fileset found error with dmesg | tail.

Going crazy here. Not sure what to do next.

Happy birthday! You are one year old!

A bug as important as this! UDF is becoming standard, when will it be fixed? When people starts claiming at Slashdot that Ubuntu can not read ordinary DVDs? There were at least two Ubuntu releases with this bug.

Lets get practical. mount must support the filesystem1,filesystem2 syntax both at command line and at /etc/fstab. Both manuals must also be updated. Also, its options should not conflict, allowing one to set up the udf / iso for CD / DVD, and specific options to the iso filesystem and udf filesystem. If mount already supports it, then it is buggy and should get fixed.

The auto solution may lead to unexpected results, because one can write any sort of filesystem on a DVD, and this auto option will accept it. May even be a security risk, depending on the configuration the system has (may be SUID binaries, I am not sure). I always saw filesystems explicitly configured for removable media and sure this has a motive. This CD / DVD issue should be no exception. Or, rethink it and se all removable media to auo filesystem at one and avoid future problems.

This really should get attention and get a solution before next release.

PS: Also found this topic under discussion here:
http://ubuntuforums.org/showthread.php?t=490087

Update.

I've been reading mount source code. There is no code to handle the udf,iso9660 syntax in it.

So, what we got here is two bugs:

  - install program creates this wrong entry with the comma.
  - support for multiple filesystems on a single removable media device

My above suggestion about patching mount to do so is the best solution I can think of. I do not know if it will break any standard mount may have been built on.

For now, the auto hack should give a working solution for the lucky ones like me who dig into launchpad to find a solution.

Hi,

just want to push this one up a bit. I had never before seen such a UDF PW CD,
but today a friend asked me about that CD that didnt work in her Ubuntu Laptop.

Well, it is a Nero-written "InCD" disc and I can't get it to work with any of the
tips mentioned above. Either it gives one of the error messages, or you see the
iso9660-part of the disc that contains an HTML page explaining what kind of CD
it is.

Unfortunately this is already affecting Ubuntu's reputation.

Would be good if this got developer attention... I'm certainly hoping for it!

Regards,
Raphael

Have you tried mounting it with udf filesystem

mount -t udf -o ro /dev/cdrom /mnt

What exactly error dmesg / mount gives? Could you please describe what this
HTML says? I have never seen UDF PW CD before... Not even google knows it...

There is also an option 'session=' to the udf filesystem (see mount(8) ).
May be it is a multi-session CD and for some strange reason it is mounting
the wrong session.

Please give more details on what exactly you did and what error you got for
me to try to solve this.

On 7/26/07, rapha <email address hidden> wrote:
>
> Hi,
>
> just want to push this one up a bit. I had never before seen such a UDF PW
> CD,
> but today a friend asked me about that CD that didnt work in her Ubuntu
> Laptop.
>
> Well, it is a Nero-written "InCD" disc and I can't get it to work with any
> of the
> tips mentioned above. Either it gives one of the error messages, or you
> see the
> iso9660-part of the disc that contains an HTML page explaining what kind
> of CD
> it is.
>
> Unfortunately this is already affecting Ubuntu's reputation.
>
> Would be good if this got developer attention... I'm certainly hoping
> for it!
>
> Regards,
> Raphael
>
> --
> mount udf dvd fails, possible wrong fstab entry
> https://bugs.launchpad.net/bugs/44233
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Fabio Pugliese Ornellas
E-Mail: <email address hidden>
gTalk: <email address hidden>
ICQ: 6516089
MSN: <email address hidden>
WWW: http://ornellas.apanela.com/

Confirming that this is still a bug in Fesity/amd64 as at today.

Luckily for me, editing the /etc/fstab worked. Success after changing (in my case):
/dev/hda /media/cdrom0 udf,iso9660 user,noauto 0 0
to:
/dev/hda /media/cdrom0 auto user,noauto 0 0

"$ mount" says:
/dev/hda on /media/cdrom0 type udf (ro,noexec,nosuid,nodev,user=me)

Attila T. Áfra (attila-afra) wrote :

Hi,

The bug is in "mount" and I've managed to fix it. It has nothing to do with UDF or ISO9660, and it's not Ubuntu-specific: "mount" may fail when you try to mount a read-only device in read/write mode and you specify more than one file system type. It works only if the correct file system type is the last one in the list.

I've just sent the patch to the util-linux-ng mailing list.

Regards,
Attila

Nice to know it has been patched! Thank you dude!I

On 8/6/07, Attila T. Áfra <email address hidden> wrote:
>
> Hi,
>
> The bug is in "mount" and I've managed to fix it. It has nothing to do
> with UDF or ISO9660, and it's not Ubuntu-specific: "mount" may fail when
> you try to mount a read-only device in read/write mode and you specify
> more than one file system type. It works only if the correct file system
> type is the last one in the list.
>
> I've just sent the patch to the util-linux-ng mailing list.
>
> Regards,
> Attila
>
> --
> mount udf dvd fails, possible wrong fstab entry
> https://bugs.launchpad.net/bugs/44233
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Fabio Pugliese Ornellas
E-Mail: <email address hidden>
gTalk: <email address hidden>
ICQ: 6516089
MSN: <email address hidden>
WWW: http://ornellas.apanela.com/

Thanks a lot Attila!

Sorry I didn't follow up again... well, now it is fixed :-D

Changed in util-linux:
assignee: nobody → attila-afra
status: Confirmed → Fix Committed
Changed in util-linux:
assignee: nobody → attila-afra
status: New → Fix Committed
assignee: attila-afra → nobody
status: Fix Committed → Confirmed
Changed in util-linux:
status: Fix Committed → Fix Released
Changed in util-linux:
status: Confirmed → Fix Committed
Changed in util-linux:
status: Fix Committed → Fix Released
Albert Fiorillo (afiorillo) wrote :

Hello all,

i am new to Ubuntu...one of my users has been having this same problem...and nothing listed here has worked...He has a SATA DVD Drive...when i try to do a mount manually i am always getting:
mount: wrong fs type, bad option, bad superblock on /dev/cdrom,
       missing codepage or other error
       In some cases useful info is found in syslog - try
       dmesg | tail or so

i see some people are using hda, scd0 or cdrom ..i have tried them all and none seem to work..

any help would be much appreciated..

thanks
Al

The fact that he has a SATA drive means nothing (in principle). Have you
tried the same media on other hardware / operating systems to see if it is
working? Have you tried manually mounting with either udf or iso9660? What
dmesg say?

On 10/10/07, Albert Fiorillo <email address hidden> wrote:
>
> Hello all,
>
> i am new to Ubuntu...one of my users has been having this same
> problem...and nothing listed here has worked...He has a SATA DVD
> Drive...when i try to do a mount manually i am always getting:
> mount: wrong fs type, bad option, bad superblock on /dev/cdrom,
> missing codepage or other error
> In some cases useful info is found in syslog - try
> dmesg | tail or so
>
> i see some people are using hda, scd0 or cdrom ..i have tried them all
> and none seem to work..
>
> any help would be much appreciated..
>
> thanks
> Al
>
> --
> mount udf dvd fails, possible wrong fstab entry
> https://bugs.launchpad.net/bugs/44233
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Fabio Pugliese Ornellas
E-Mail: <email address hidden>
gTalk: <email address hidden>
ICQ: 6516089
MSN: <email address hidden>
WWW: http://ornellas.apanela.com/

Albert Fiorillo (afiorillo) wrote :

i have tried the same media on a Windows XP OS and i am able to read the disc without any problems. I have tried manually mounting using the following command:

mount -t udf -o ro /dev/scd0 /media/cdrom

dmesg returns this :

UDF-fs: No fileset found

Hum... Google?

http://fedoraforum.org/forum/showthread.php?t=166393

This matter appeared at this topic before.

On 10/10/07, Albert Fiorillo <email address hidden> wrote:
>
> i have tried the same media on a Windows XP OS and i am able to read the
> disc without any problems. I have tried manually mounting using the
> following command:
>
> mount -t udf -o ro /dev/scd0 /media/cdrom
>
> dmesg returns this :
>
> UDF-fs: No fileset found
>
> --
> mount udf dvd fails, possible wrong fstab entry
> https://bugs.launchpad.net/bugs/44233
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Fabio Pugliese Ornellas
E-Mail: <email address hidden>
gTalk: <email address hidden>
ICQ: 6516089
MSN: <email address hidden>
WWW: http://ornellas.apanela.com/

lyon (r-steiger) wrote :

I just had similar problem on two machines upgraded from Feisty to Gutsy. A friend of mine has a DVD-Video with UDF structure on it, burned in some kind of cheap desktop recorder. Gutsy is able to mount this disk, but the permissions are se to "r--r--r--" and owner/group are set to "-1", so only root was able to browse the media content - an ordinary user cannot even open a VIDEO_TS directory (I do not have dmesg output, sorry).

It started working after I changed
"/dev/scd0 /media/cdrom0 udf,iso9660 user,noauto 0 0"
to
"/dev/scd0 /media/cdrom0 iso9660,udf user,noauto 0 0"

`mount` now reports iso9660 filesystem type instead of UDF, but nautilus still says it's an UDF disk.

What happens if the default Ubuntu fstab entry will change to "auto"? Couldn't be better to let the mount decide itself which type to use?

marcelo duarte (mail-mduarte) wrote :

I have the same problem as Jason Ribeiro.
Mount doesn't work in "iso9660,udf", "udf,iso9660" or in "auto".

This patch that was released works in my case?

Also, looking up on google for people with the same problem than I,
I noted that most of than had a SiS chipset. Which is also what I have.

Can it be a hardware incompatibility?

I seriously doubt it, but may be possible... can you try it on exactly the
same Ubuntu and other hardware with the same media?

On Nov 26, 2007 7:59 PM, haschid <email address hidden> wrote:

> I have the same problem as Jason Ribeiro.
> Mount doesn't work in "iso9660,udf", "udf,iso9660" or in "auto".
>
> This patch that was released works in my case?
>
> Also, looking up on google for people with the same problem than I,
> I noted that most of than had a SiS chipset. Which is also what I have.
>
> Can it be a hardware incompatibility?
>
> --
> mount udf dvd fails, possible wrong fstab entry
> https://bugs.launchpad.net/bugs/44233
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Fabio Pugliese Ornellas
E-Mail: <email address hidden>
gTalk: <email address hidden>
ICQ: 6516089
MSN: <email address hidden>
WWW: http://ornellas.apanela.com/

marcelo duarte (mail-mduarte) wrote :

Already had this problem with another SiS based computer that I used to have, using Mandrake 10.1.
At that time I thought that it was an Mandrake issue. The problem manifests itself with UDF-Dvd's and UDF-CD's.
In Windows XP I can read the disks without a problem.

At work I installed both Ubuntu 7.04 and 6.06. Both worked flawlessly in a nforce2 based A7N8X.

At home neither of the versions worked. It's a PCCHIPS M871G and my old computer was a M810.

My optic drives are both LG. One is a H20N DVD-RW. The other is a CD-RW which model I dont remember
right now. At work it's also an LG, GSA-4167B model.

Also had this problem in Fedora 7. I really think it's not a ubuntu problem, but some problem with linux in general.
Maybe some incompatibility with the set chipset + optic drive + cheap media.

Comercial DVD-Video works ok. Windows' homemade DVD-Video made in Nero manifests this problem.

Hum...

I believe LG hardware (ODD) is very popular, I have 2 myself. I don´t
believe there is a problem there. So, you might be right about the chipset
issue.

Try finding out the developers of the kernel driver for your chipset and
contact they directly about this issue (at Linux Kernel Mailing List may
be). Reporting it here to Ubuntu folks will only add a step to the process.

Anyway it is a very strange bug... All I can say for now is to avoid PC
Chips in the future. I had problems with their hardware and so many of my
friends. Cheap but not good.

On Nov 27, 2007 12:54 PM, haschid <email address hidden> wrote:

> Already had this problem with another SiS based computer that I used to
> have, using Mandrake 10.1.
> At that time I thought that it was an Mandrake issue. The problem
> manifests itself with UDF-Dvd's and UDF-CD's.
> In Windows XP I can read the disks without a problem.
>
> At work I installed both Ubuntu 7.04 and 6.06. Both worked flawlessly in
> a nforce2 based A7N8X.
>
> At home neither of the versions worked. It's a PCCHIPS M871G and my old
> computer was a M810.
>
> My optic drives are both LG. One is a H20N DVD-RW. The other is a CD-RW
> which model I dont remember
> right now. At work it's also an LG, GSA-4167B model.
>
> Also had this problem in Fedora 7. I really think it's not a ubuntu
> problem, but some problem with linux in general.
> Maybe some incompatibility with the set chipset + optic drive + cheap
> media.
>
> Comercial DVD-Video works ok. Windows' homemade DVD-Video made in Nero
> manifests this problem.
>
> --
> mount udf dvd fails, possible wrong fstab entry
> https://bugs.launchpad.net/bugs/44233
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Fabio Pugliese Ornellas
E-Mail: <email address hidden>
gTalk: <email address hidden>
ICQ: 6516089
MSN: <email address hidden>
WWW: http://ornellas.apanela.com/

Ashley Hooper (ash-hooper) wrote :

I am having this problem with Gutsy 7.10. I have tried reversing the order of the fstypes in fstab, and also replacing both with 'auto' but to no avail. Is there a fix in sight?

marcelo duarte (mail-mduarte) wrote :

Do you have a SiS chipset? Or a PCCHIPS card?

On Dec 10, 2007 10:01 AM, Ashley Hooper <email address hidden> wrote:

> I am having this problem with Gutsy 7.10. I have tried reversing the
> order of the fstypes in fstab, and also replacing both with 'auto' but
> to no avail. Is there a fix in sight?
>
> --
> mount udf dvd fails, possible wrong fstab entry
> https://bugs.launchpad.net/bugs/44233
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Ashley Hooper (ash-hooper) wrote :

It appears to be a VIA chipset - I've attached lspci from the computer concerned.

cyneuron (cyneuron) wrote :

I have same bug in Ubuntu Gutsy on my Acer Apire Laptop....

I am surprised no one has pointed out or may be what i am going to write is technically same what is being discssed here.

The problem is with the dvd's or cd's burned in multi session mode, which doesn't depend whether dvd was burnt in WIndows XP or Linux. I have two dvd's, one burnt with Nero in Windows XP and other with K3b in Linux, both in multisession mode. I am unable to access both In Linux, while both run fine in Windows XP.

In Ubuntu, the behavior on inserting the dvd is something like this : DVD spins twice or thrice, LED lights up along with it, and then spinning and LED both stops. When i try to mount DVD by Right Clicking on CD/DVD Icon Computer Windows, it says "There is probably no media in drive"

Whatever the cause behind this problem is, the fact is that the problem is really grave, really makes Ubuntu (or Linux if the problem is also present in other Linux Distro, Can someone confirm this ?) look inferior to Windows in a big way.....

I mean just imagine the reaction of a novice user when he/she won't be able to access his documents on a DVD given to him by someone else if he/she switches to Ubuntu completely after removing Windows XP from his/her computer....

Someone rightly said on this page...it will be a big shame if some windows love posts this "Ubuntu can't even read your DVD's, how dare it even compares to Windows..." on Slashdot or Digg.....

And the surprise is that this bug has not been fixed despite the fact that it is has been present for a long time....

Please Ubuntu developers, fix it as early as possible...

Soon someone will get pissed off and post at Digg... sure will be funny to
watch ;-)

On Dec 26, 2007 3:32 AM, cyneuron <email address hidden> wrote:

> I have same bug in Ubuntu Gutsy on my Acer Apire Laptop....
>
> I am surprised no one has pointed out or may be what i am going to write
> is technically same what is being discssed here.
>
> The problem is with the dvd's or cd's burned in multi session mode,
> which doesn't depend whether dvd was burnt in WIndows XP or Linux. I
> have two dvd's, one burnt with Nero in Windows XP and other with K3b in
> Linux, both in multisession mode. I am unable to access both In Linux,
> while both run fine in Windows XP.
>
> In Ubuntu, the behavior on inserting the dvd is something like this :
> DVD spins twice or thrice, LED lights up along with it, and then
> spinning and LED both stops. When i try to mount DVD by Right Clicking
> on CD/DVD Icon Computer Windows, it says "There is probably no media in
> drive"
>
> Whatever the cause behind this problem is, the fact is that the problem
> is really grave, really makes Ubuntu (or Linux if the problem is also
> present in other Linux Distro, Can someone confirm this ?) look inferior
> to Windows in a big way.....
>
> I mean just imagine the reaction of a novice user when he/she won't be
> able to access his documents on a DVD given to him by someone else if
> he/she switches to Ubuntu completely after removing Windows XP from
> his/her computer....
>
> Someone rightly said on this page...it will be a big shame if some
> windows love posts this "Ubuntu can't even read your DVD's, how dare it
> even compares to Windows..." on Slashdot or Digg.....
>
> And the surprise is that this bug has not been fixed despite the fact
> that it is has been present for a long time....
>
> Please Ubuntu developers, fix it as early as possible...
>
> --
> mount udf dvd fails, possible wrong fstab entry
> https://bugs.launchpad.net/bugs/44233
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Fabio Pugliese Ornellas
E-Mail: <email address hidden>
gTalk: <email address hidden>
ICQ: 6516089
MSN: <email address hidden>
WWW: http://ornellas.apanela.com/

Ali Afshar (aafshar) wrote :

This is a disaster. I am using Gutsy. I have some not-upgraded packages which I am upgrading, and will report.

The "auto" fix doesn't work, neither does setting the filetype option to mount.

I think possibly the problem here is that the bug is marked "Fix Released"? I am changing that (and anyone can change it back if it is wrong).

Changed in util-linux:
status: Fix Released → Confirmed
status: Fix Released → Confirmed
Attila T. Áfra (attila-afra) wrote :

I think it's obvious that there are two completely different bugs discussed here. The first (and original) one, which is in the bug description, has been fixed by myself, and it has been released a long time ago. The bug was in the parsing of the fs type string. It wasn't hardware dependent.

The second bug has nothing to do with this, and it's possible that it isn't even in the util-linux package. Because the fix for the original bug has been released, I'm reverting the status back to "Fix Released".

Please file a new bug with a proper and precise description of this second problem. It doesn't belong here.

Changed in util-linux:
status: Confirmed → Fix Released
status: Confirmed → Fix Released

And if someone do please provide a link here. There seems to be a lot of confusing about this and some duplicates. I have the same problem as above no matter what i write in fstab. I burned the dvd in vista. I have a nforce4 chipset if that is of importance.

hitto (babyface-blues) wrote :

Hi, just wanted to add to the long line of irritated people; all I want is to read a damn DVD I burned on a windows machine; Is UDF proprietary or something, so you can't fix this bug unless some corporate dude grows a heart? Or is it a "low priority" bug?

I tinkered with fstab but without positive results, and as of today, the bug is still here... in hardy heron!

The rest of Ubuntu works just fine, no complaints there!

Matthias A (antioch07) on 2008-06-16
Changed in util-linux:
status: Fix Released → Confirmed
Bill Smith (bsmith1051) wrote :

Still having this general problem ("wrong fs type, bad option, bad superblock on /dev/cdrom, missing codepage or other error") on Ubuntu 8.04. I've tried all the fstab options as well as manually tried to mount the disc using various command-line options. This is with DVD-R data discs burned/tested on WinXP using Nero 8. Similar discs burned on this same machine, using Nero Linux 3, work fine. I have an Nvidia chipset and an NEC burner.

Is there a newer UDF 2.5 version that only (currently) exists on Windows?

Bill Smith (bsmith1051) wrote :

Nevermind, I had a bad drive. Curiously, it was able to read everything except for DVD-R data discs, and it 'successfully' burned quite a few of those, too.

Persio (persiobarros) wrote :

Hi,
I have the same problem here with a multisession CD written on Vista. Tested on two machines, both running Hardy. Can't mount the CD, even with the mount command.
I tested also on another machine running CentOS 5.2. The same error is reported. So, the problem may be in Linux itself.
On the other hand, WinXP can read this CD without any problem.

Chris Coulson (chrisccoulson) wrote :

This bug report tracked a problem with the parsing of filesystem types in /etc/fstab, and is now fixed. If people still have a general problem mounting UDF volumes, then please open a new bug report.

Setting the linux task to Invalid for this reason

Changed in linux:
status: New → Invalid
Amber (ambdeep) wrote :

Is there no solution to this problem?

Daniel Eckl (daniel-eckl) wrote :

The problem I reported is solved loooong time ago.
You (and many of the reporters above your post) do have another bug, which has to do with some (special? broken? too recent?) UDF versions not recognized by Linux.

See comment 35
https://bugs.launchpad.net/ubuntu/+source/util-linux/+bug/44233/comments/35

Please file a new report for this. Hijacking of bug reports will not get your bug to the right people.

Amber (ambdeep) wrote :

If there is a solution to mounting a udf dvd written on vista(UDF version 2.5 I believe) can you please post a step by step way of doing so.....I am a newbie on linux and do not know if there is one....if not possible please tell me what I can do to report this "new bug"......Thanks in advance.

Daniel Eckl (daniel-eckl) wrote :

wrong bug report. Create new! Thanks!

Daniel Eckl (daniel-eckl) wrote :

sry, answer to your question:
Go to https://bugs.launchpad.net/ubuntu
Search if your bug already has been filed
If not, click on "report bug"

Mger Zero (mgerzero) wrote :

I'm using 10.04 Lucid; other ubuntu versions are probably similar.
The temp fix may or may not work for all udf types.

The bug seems to be caused by auto-mount.
Auto-mount tries to mount udf dvd as type udf.
However, udf dvd-video should be mounted as type iso9660.

A temp fix is to manually mount the dvd drive.

1. Make a new folder to use as a mount point, or use any existing empty folder.
  sudo mkdir /media/dvd1

2. List your dvd drives with this command:
  wodim --devices

3. Look for "dev=".
  Your dvd drive is likely to be /dev/scd0
  The shortcut /dev/dvd may also work.

4. Unmount the folder, just in case.
  sudo umount /media/dvd1

5. Mount dvd drive.
  sudo mount -t iso9660 /dev/dvd /media/dvd1

or if your device is /dev/scd0
  sudo mount -t iso9660 /dev/scd0 /media/dvd1

If you use vlc media player to play udf dvd-video, you may need to disable "DVD menus".
In vlc, Media > Open Disc > check "No DVD menus"
  Disc device = /media/dvd1

vlc command line:
vlc dvdsimple:///media/dvd1

All commands used listed:
---------------------------
sudo mkdir /media/dvd1
wodim --devices
sudo umount /media/dvd1
sudo mount -t iso9660 /dev/dvd /media/dvd1
vlc dvdsimple:///media/dvd1

If you are mounting an udf iso, try
  sudo mount -t iso9660 -o loop /pathToIso/filename.iso /media/dvd1

Phillip Susi (psusi) on 2013-10-11
Changed in util-linux (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers